## com.google.gwt.user.client.ui
Class Frame

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Frame

All Implemented Interfaces:
  HasHandlers, EventListener

Direct Known Subclasses:
  NamedFrame

    public class Frame

extends Widget

A widget that wraps an IFRAME element, which can contain an arbitrary web site.

Note that if you are using `History`, any browser history items generated by the Frame will interleave with your application's history.

### CSS Style Rules

- .gwt-Frame { }

### Example

>     public class FrameExample implements EntryPoint {

>       public void onModuleLoad() {
>         // Make a new frame, and point it at Google.
>         Frame frame = new Frame("http://www.google.com/");

>         // Add it to the root panel.
>         RootPanel.get().add(frame);
>       }
>     }

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

Field Summary

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`` | `Frame()` Creates an empty frame.
`protected` | `Frame(Element element)` This constructor may be used by subclasses to explicitly use an existing element.
`` | `Frame(java.lang.String url)` Creates a frame that displays the resource at the specified URL.

Method Summary
`java.lang.String` | `getUrl()` Gets the URL of the frame's resource.
`void` | `setUrl(java.lang.String url)` Sets the URL of the resource to be displayed within the frame.
`static Frame` | `wrap(Element element)` Creates a Frame widget that wraps an existing <frame> element.

Methods inherited from class com.google.gwt.user.client.ui.Widget
`addDomHandler, addHandler, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getParent, isAttached, isOrWasAttached, onAttach, onBrowserEvent, onDetach, onLoad, onUnload, removeFromParent, sinkEvents`

Methods inherited from class com.google.gwt.user.client.ui.UIObject

`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Frame

    public Frame()

  Creates an empty frame.

### Frame

    public Frame(java.lang.String url)

  Creates a frame that displays the resource at the specified URL.

  Parameters:
    `url` - the URL of the resource to be displayed

### Frame

    protected Frame(Element element)

  This constructor may be used by subclasses to explicitly use an existing element. This element must be an <iframe> element.

  Parameters:
    `element` - the element to be used

Method Detail

### wrap

    public static Frame wrap(Element element)

  Creates a Frame widget that wraps an existing <frame> element. This element must already be attached to the document. If the element is removed from the document, you must call `RootPanel.detachNow(Widget)`.

  Parameters:
    `element` - the element to be wrapped

### getUrl

    public java.lang.String getUrl()

  Gets the URL of the frame's resource.

  Returns:
    the frame's URL

### setUrl

    public void setUrl(java.lang.String url)

  Sets the URL of the resource to be displayed within the frame.

  Parameters:
    `url` - the frame's new URL